Get download URL

Prev Next

Available in Classic and VPC

Get the download URL for e-map and robot map results file for a specific location or version. For emapper, a map.json file is returned, while for robot-map, both the imloc result file and the map result file are returned. The url returned in the response is a presigned URL with an expiration time, so download it immediately after it is issued.

Preliminary steps

The preliminary steps for using Map Data - Get download URL API are as follows:

1. Create e-map or robot map

In the console, perform the e-map creation or robot map creation task for the target top-level location and complete it until it reaches the Success status. For more information, see the ARC eye user guide.

2. Issue secret key

In the NAVER Cloud Platform console, go to Menu > Services > Digital Twin > ARC eye > Visual Localization > Data Management and click [Create] of Secret Key in the task details of the target Emapper or RobotMap to obtain a secret key dedicated to Map Data. For more information, see the ARC eye user guide.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /map-data/v1/{projectId}/{signature}/{task}/download-urls
Note

It is the invoke URL displayed in the target Emapper or RobotMap task details in Menu > Services > Digital Twin > ARC eye > Visual Localization > Data Management of the NAVER Cloud Platform console. For more information, see Common ARC eye settings > API URL.

Request headers

For information about the headers common to all ARC eye APIs, see ARC eye request headers.

Request path variables

The following describes the request path variables.

Field Type Required Description
projectId Number Required Project ID
  • It can be found in the invoke URL displayed on the console's task details page.
signature String Required Project signature value
  • It can be found in the invoke URL displayed on the console's task details page.
task String Required Target task type
  • emapper | robot-map
  • It can be found in the invoke URL displayed on the console's task details page.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
locationId Number Required Target location ID
version Number Optional Target version number

Request example

The request example is as follows:

curl --location --request GET '{InvokeURL}?locationId=2001&version=3' \
--header 'X-ARCEYE-SECRET: {SecretKey}'

Response

This section describes the response format.

Response body (success)

The following describes the response body when the query is successful.

Field Type Required Description
data Array - List of files to download: data

data

The following describes data.

Field Type Required Description
fileName String - File name
url String - Presigned URL for download

Response example

The response example is as follows:

Succeeded(emapper)

The following is a sample response upon a successful emapper call.

{
  "data": [
    {
      "fileName": "map.json",
      "url": "https://kr.object.ncloudstorage.com/arceye-data-{projectId}/{volume}/.../map.json?response-content-disposition=attachment%3Bfilename%3Dmap.json&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=...&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Credential=...&X-Amz-Signature=..."
    }
  ]
}

Succeeded(robot-map)

The following is a sample response upon a successful robot-map call.

{
  "data": [
    {
      "fileName": "1784_1F.tar.gz",
      "url": "https://kr.object.ncloudstorage.com/arceye-data-{projectId}/{volume}/csi-fs/imloc_output/1784_1F.tar.gz?response-content-disposition=attachment%3Bfilename%3D1784_1F.tar.gz&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=...&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Credential=...&X-Amz-Signature=..."
    },
    {
      "fileName": "1784_1F_tile_map.tar.gz",
      "url": "https://kr.object.ncloudstorage.com/arceye-data-{projectId}/{volume}/csi-fs/map_output/tar/1784_1F_tile_map.tar.gz?response-content-disposition=attachment%3Bfilename%3D1784_1F_tile_map.tar.gz&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=...&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Credential=...&X-Amz-Signature=..."
    }
  ]
}
Note

For response bodies and response examples when API calls fail, see ARC eye overview.